Commit 5ddfcaac authored by Vincent Texier's avatar Vincent Texier

[fix] #59 fix Python version in gitlab-ci

use Python 3.6.4
parent 182dcde9
Pipeline #7738 passed with stages
in 5 minutes and 16 seconds
......@@ -6,7 +6,7 @@ stages:
- publish_doc
variables:
PYENV_PYTHON_VERSION: 3.5.5
PYENV_PYTHON_VERSION: 3.6.4
image: registry.duniter.org/docker/python3/duniterpy-builder:0.0.4
......@@ -57,7 +57,6 @@ format:
- .changes
stage: format
script:
- pyenv shell 3.6.4 # black install and run needs python 3.6.x minimum
- pip install -r requirements_dev.txt
- make check-format
......@@ -76,7 +75,6 @@ check:
- .changes
stage: test
script:
- pyenv shell 3.6.4 # black install needs python 3.6.x minimum
- pip install -r requirements.txt
- pip install -r requirements_dev.txt
- make mypy
......@@ -125,7 +123,6 @@ pages:
- tags
- master
script:
- pyenv shell 3.6.4 # black install needs python 3.6.x minimum
- pip install -r requirements.txt
- pip install -r requirements_dev.txt
- make docs
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment